;-----------------------------------------------------------------------------
; drops.iss
;-----------------------------------------------------------------------------

;-----------------------------------------------------------------------------
#define version '0.2.2'

;-----------------------------------------------------------------------------
[Setup]
AppName=drops for win32
AppVerName=drops version {#= version} for win32
DefaultDirName={pf}\drops
DefaultGroupName=drops
UninstallDisplayIcon={app}\drops.ico
WizardImageFile=images\dropslogo.bmp
WizardSmallImageFile=images\sphere.bmp
LicenseFile=doc\gpl.rtf
Compression=bzip
SolidCompression=yes
OutputBaseFileName=drops-{#= version}-win32-setup
AllowNoIcons=yes

;-----------------------------------------------------------------------------
[Files]
Source: bin\*.exe; DestDir: {app}\bin; Permissions: everyone-readexec
Source: bin\*; DestDir: {app}\bin; Permissions: everyone-readexec
Source: bat\setdrops.bat; DestDir: {app}; Permissions: everyone-readexec; AfterInstall: AfterInstallBat('setdrops.bat')
Source: doc\*.pdf; DestDir: {app}\doc; Permissions: everyone-readexec
Source: doc\*.txt; DestDir: {app}\doc; Permissions: everyone-readexec
Source: examples\*; DestDir: {app}\examples; Permissions: everyone-full; Flags: createallsubdirs recursesubdirs
Source: images\drops.ico; DestDir: {app}\; Permissions: everyone-readexec

;-----------------------------------------------------------------------------
[Icons]
Name: {group}\command prompt for drops; Filename: {app}\setdrops.bat; WorkingDir: {app}\; IconFilename: {app}\drops.ico
Name: {group}\manual\drops; Filename: {app}\doc\drops.pdf
Name: {group}\manual\drops-udf (UDF interface); Filename: {app}\doc\drops-udf.pdf
Name: {group}\license; Filename: {app}\doc\gpl.txt
Name: {group}\readme; Filename: {app}\doc\readme.txt
Name: {group}\uninstall drops; Filename: {app}\unins000.exe

;-----------------------------------------------------------------------------
[Code]

procedure AfterInstallBat(S: String);
var
  BatFileName: string;
begin
  BatFileName :=WizardDirValue + '\' + S;
  SaveStringToFile(BatFileName,'set path=' + WizardDirValue + '\bin' + ';%path%' + #13#10 + '%comspec%' + #13#10,True);
end;
