-------------------------------------------------------------------------------

--  dropsin.lua

-------------------------------------------------------------------------------

condition = 
{
    optimize_lattice = false,

    use_multigrid_solver = false,

    dynamics_simulation = false,

    save_psi_sequential = false,
    save_density_sequential = false,
    save_chemical_potential_sequential = false,
    save_free_energy_sequential = false,
    save_geometry_sequential = false,
    save_dx_sequential = false,

    error_tolerance = 1.0e-6,
    seed = 23451,
    noise = 0,
    initial_noise = 1.0e-3,

    phi_min = -1.0,

    iteration_max = 4000,
    interval = 200,
    omega = 0.2,
}

file =
{
    wisdom = "fftw.wisdom",

    psi_output = "psi.dat.gz",
    density_output = "phi.dat.gz",
    chemical_potential_output = "mu.dat.gz",
    free_energy_output = "fe.dat",
    geometry_output = "geometry.dat",
    dx_output = "dropsout.dx",

    psi_template = "psi.%d.dat.gz",
    density_template = "phi.%d.dat.gz",
    chemical_potential_template = "mu.%d.dat.gz",
    free_energy_template = "fe.%d.dat",
    geometry_template = "geometry.%d.dat",
    dx_template = "dropsout.%d.dx"
}

multigrid =
{
    n_cycle = 20,
    n_pre = 5,
    n_post = 5,
    error_tolerance = 1.0e-8
}

geometry =
{    
    dimension = 2,

    nx = 64,
    ny = 64,
    nz = 1,

    lx = 32,
    ly = 32,
    lz = 1 
}

blend =
{
    polymer = {"AB_diblock"},
    volume_fraction = {1}
}

monomer =
{
    name = {"A", "B"},
    b = {1, 1},
    chi = {{0, 0.45},
           {0, 0   }}
}

AB_diblock =
{
    N = 40,
    f = {0.375, 0.625},
    a = {{false, true },
         {false, false}},
    monomer = {"A", "B"},
    lambda = 20
}

